Error
A valid request URL is required to generate request examples{
"header": {
"queryParams": {
"aggrType": "<string>",
"modelId": "<string>",
"rows": 123,
"collection": "<string>",
"aggrRows": 123,
"q": "<string>",
"fq": [
"<string>"
],
"docId": "<string>",
"userId": "<string>",
"debug": false,
"shinglesLimit": 123,
"termsLimit": 123,
"rollupField": "<string>",
"rollupWeightField": "<string>"
},
"totalTime": 123
},
"items": [
{
"query": "<string>",
"weight": 123
}
],
"debugInfo": {
"aggrTime": 123,
"queryTime": 123,
"solrParams": {}
}
}Retrieve queries that were made for a specified document-id
This finds the top queries that led users to a particular item. The response is a list of query terms and their respective weights
GET
/
recommend
/
{collection}
/
queriesForItem
Error
A valid request URL is required to generate request examples{
"header": {
"queryParams": {
"aggrType": "<string>",
"modelId": "<string>",
"rows": 123,
"collection": "<string>",
"aggrRows": 123,
"q": "<string>",
"fq": [
"<string>"
],
"docId": "<string>",
"userId": "<string>",
"debug": false,
"shinglesLimit": 123,
"termsLimit": 123,
"rollupField": "<string>",
"rollupWeightField": "<string>"
},
"totalTime": 123
},
"items": [
{
"query": "<string>",
"weight": 123
}
],
"debugInfo": {
"aggrTime": 123,
"queryTime": 123,
"solrParams": {}
}
}Path Parameters
The name of a specific collection
Query Parameters
The document ID
The number of items to return
The type of aggregation
Was this page helpful?
⌘I